Creates a materialized view within an instance.

### HTTP request

`POST https://bigtableadmin.googleapis.com/v2/{parent=projects/*/instances/*}/materializedViews`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `parent` | `string` Required. The parent instance where this materialized view will be created. Format: `projects/{project}/instances/{instance}`. Authorization requires the following [IAM](https://cloud.google.com/iam/docs/) permission on the specified resource `parent`: - `bigtable.materializedViews.create` |

### Query parameters

| Parameters ||
|---|---|
| `materializedViewId` | `string` Required. The ID to use for the materialized view, which will become the final component of the materialized view's resource name. |
| `ignoreWarnings` | `boolean` Optional. If true, ignore optional safety checks when creating the materialized view. |

### Request body

The request body contains an instance of `https://docs.cloud.google.com/bigtable/docs/reference/admin/rest/v2/projects.instances.materializedViews#MaterializedView`.

### Response body

If successful, the response body contains a newly created instance of `https://docs.cloud.google.com/bigtable/docs/reference/admin/rest/v2/operations#Operation`.

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/bigtable.admin`
- `https://www.googleapis.com/auth/bigtable.admin.cluster`
- `https://www.googleapis.com/auth/bigtable.admin.instance`
- `https://www.googleapis.com/auth/cloud-bigtable.admin`
- `https://www.googleapis.com/auth/cloud-bigtable.admin.cluster`
- `https://www.googleapis.com/auth/cloud-platform`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).